# word_traits< S, T > Struct Template Reference
[Monoid]

Trait for virtual types of structural elements for words. More...

List of all members.

## Public Types

typedef undefined_type | alphabet_t
| The type of the alphabet.
typedef undefined_type | word_t
| The type of the word.
typedef undefined_type | first_monoid_t
| The type of the first projection monoid.
typedef undefined_type | second_monoid_t
| The type of the second projection monoid.
typedef undefined_type | first_projection_t
| Whether the word has a first projection computable.
typedef undefined_type | second_projection_t
| Whether the word has a second projection computable.

## Detailed Description

### template<typename S, typename T>
struct vcsn::algebra::word_traits< S, T >

Trait for virtual types of structural elements for words.

It should be specialized for all derived structures.

Definition at line 85 of file monoid_base.hh.